Bug 164530 - Per-mount ghosting request
Per-mount ghosting request
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: autofs (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey Moyer
Brock Organ
: FutureFeature
Depends On:
Blocks: 156322
  Show dependency treegraph
 
Reported: 2005-07-28 11:26 EDT by Jeffrey Moyer
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2005-657
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 13:00:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeffrey Moyer 2005-07-28 11:26:11 EDT
+++ This bug was initially created as a clone of Bug #155388 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050414
Firefox/1.0.3

Description of problem:
Ghosting of automounts is currently all-or-nothing, as specified by
the presence or absense of "--ghost" in the variable DAEMONOPTIONS in
/etc/sysconfig/autofs.  It would be very nice if you could specify which
mounts you'd like to be ghosted, instead of all or none.

Version-Release number of selected component (if applicable):
autofs-4.1.3-47

How reproducible:
Always

Steps to Reproduce:
N/A

Additional info:

A particular fix we used was a change to /etc/init.d/autofs, which allowed
us to specify which automount points we wanted ghosted, instead of having
an "all or nothing" situation.  It would be nice to see this implemented
natively as well.  It was very simple to write, only a few lines:

ghostdirs="$(echo "$GHOSTDIRS" | sed 's/ /\|/g')"
if echo "$dir" | grep -qE -- "^($ghostdirs)\$" ;
then
    startupoptions="$startupoptions --ghost"
fi

This allows us to specify a space-delimeted list of target mount points
that we want ghosted through the variable GHOSTDIRS in /etc/sysconfig/autofs.
This isn't a permanent fix, but we were able to only ghost project and scratch
space, while keeping system mounts un-ghosted.
Comment 2 Jeffrey Moyer 2005-08-03 12:43:31 EDT
waiting for QA ack on this one.  I can't finish the erratum without this.
Comment 6 Red Hat Bugzilla 2005-10-05 13:00:40 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-657.html

Note You need to log in before you can comment on or make changes to this bug.